Hi, I am new on working with catia macros. I have a modified airfoil in 2D sketch and I want to design equidistant points on the airfoil splines and then to export the coordinates to an excel spreadsheet. The first step can be done easily in the 2D sketcherwith with the command "Equidistant Points". However, the points that are created cannot be exported directly as 3D points. So I have exported all these points as output features and I want to write a macro that adds a 3D point on each of them. The problem is that I don't know which is the exact command to do this. I would appreciate any kind of help.
Code:
Sub CATMain()
Dim i As Integer
Dim Sel As Selection
Set Sel = CATIA.ActiveDocument.Selection
Sel.Search "CATSketchSearch.2DOutput,all"
Sel.Search "Topology.Vertex,sel"
For i = 1 To elements.Count
Set Element = Sel.Item(i).Add("point") '<- Here I don't know how to write the command for adding a point on each vertex
Next
End Sub